# Uses of Class
net.shibboleth.idp.authn.principal.AuthenticationResultPrincipal

Packages that use AuthenticationResultPrincipal
Package
Description
net.shibboleth.idp.authn.principal.impl
Implementation of functionality related to Java Principals.

## Uses of AuthenticationResultPrincipal in net.shibboleth.idp.authn.principal.impl

Methods in net.shibboleth.idp.authn.principal.impl that return AuthenticationResultPrincipal
Modifier and Type
Method
Description
`AuthenticationResultPrincipal`
AuthenticationResultPrincipalSerializer.`deserialize(String value)`
Deserialize the supplied value.